发新帖

谁知道如何安装wxFormBuilder

johnmy / 2020-2-12 22:37
浏览: 287 / 回复: 7
查看: 287|回复: 7

谁知道如何安装wxFormBuilder

[复制链接]
收藏
跳转到指定楼层
本帖最后由 johnmy 于 2020-2-12 22:46 编辑

谁知道如何安装wxFormBuilder
https://g*ith*u*b.com/wxFormBuilder/wxFormBuilder/releases
上 面 提 供 了flatpak但 在Deepin 安 装 时 无 反 应,编译安装也不行

提示:

[6/47] Compiling C++ object 'wxformbuilder@exe/src_rad_appdata.cpp.o'.
ninja: build stopped: subcommand failed.


或是推荐一个好用的python GUI界面设计工具。

谢谢。




86

主题

568

帖子

3171

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
3171
ritter 发表于 2020-2-13 05:12:14 | 显示全部楼层
https://www.dropbox.com/s/92u2b9 ... 3.9.0-1.tar.gz?dl=0

自己下载下来解压到你喜欢的地方,然后就能用了。

55

主题

346

帖子

1536

积分

-rw-r--r--

Rank: 4

积分
1536
johnmy 发表于 2020-2-13 19:35:15 | 显示全部楼层
ritter 发表于 2020-2-13 05:12
https://www.dropbox.com/s/92u2b9xxxjiugow/wxformbuilder-3.9.0-1.tar.gz?dl=0

自己下载下来解压到你喜 ...

谢谢高手。
从哪运行了,试着给bin和share application的wxformbuilder增加执行权限,双击不行。

86

主题

568

帖子

3171

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
3171
ritter 发表于 2020-2-14 04:39:44 | 显示全部楼层
johnmy 发表于 2020-2-13 19:35
谢谢高手。
从哪运行了,试着给bin和share application的wxformbuilder增加执行权限,双击不行。 ...

你在终端运行一下,应该是依赖不足,你可能连wxwidget都没安装。

0

主题

8

帖子

80

积分

-r--------

Rank: 1

积分
80
dibing 发表于 2020-2-14 14:11:25 | 显示全部楼层
本帖最后由 dibing 于 2020-2-14 14:20 编辑

Linux

Pre-requisites for Ubuntu:

sudo apt install libwxgtk3.0-dev libwxgtk-media3.0-dev meson

Linux users might need to run:

flatpak install flathub org.freedesktop.Platform//18.08


Build and run:

git clone --recursive --depth=1 https://github.com/wxFormBuilder/wxFormBuilder
cd wxFormBuilder
meson _build --prefix $PWD/_install
ninja -C _build install
./_install/bin/wxformbuilder


这个东西对我没用,所以我没有尝试安装,没错的话需要先安装:
sudo apt install libwxgtk3.0-dev libwxgtk-media3.0-dev meson

并且需要使用flatpak安装:
flatpak install flathub org.freedesktop.Platform//18.08

下载:
git clone --recursive --depth=1 https://github.com/wxFormBuilder/wxFormBuilder

定位:
cd wxFormBuilder

编制:
meson _build --prefix $PWD/_install
ninja -C _build install

运行:
./_install/bin/wxformbuilder

55

主题

346

帖子

1536

积分

-rw-r--r--

Rank: 4

积分
1536
johnmy 发表于 2020-2-14 19:27:47 | 显示全部楼层
dibing 发表于 2020-2-14 14:11
Linux

Pre-requisites for Ubuntu:

就是按步骤来的,
但提示:
ninja: build stopped: subcommand failed.
就运行不了了。

0

主题

8

帖子

80

积分

-r--------

Rank: 1

积分
80
dibing 发表于 2020-2-18 14:52:23 | 显示全部楼层
johnmy 发表于 2020-2-14 19:27
就是按步骤来的,
但提示:
ninja: build stopped: subcommand failed.

看看这篇!
https://github.com/wxFormBuilder/wxFormBuilder/issues/502

需要它的GUI!
flatpak install ./wxformbuilder.flatpak

55

主题

346

帖子

1536

积分

-rw-r--r--

Rank: 4

积分
1536
johnmy 发表于 2020-2-19 20:55:50 | 显示全部楼层

果然装上了,谢谢。终于可以用了。
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部